#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:            perfil-usuari-primaria
Version:	 1.0
Release:	 8.1
Summary:	 Configuració escriptori usuari primaria
Group:		 System/X11/Utilities
License:	 GPL
Url:		 http://linkat.xtec.cat
Requires:	 linkat4artwork
Requires:	 gartoon-redux
Requires:	 edu365
Requires:	 kanagram
Requires:	 khangman
Requires:	 kolourpaint
Requires:	 kturtle
Requires:	 klettres
Requires:        pwdutils
BuildRequires:   pwdutils
Source:		 %{name}.tar.bz2
BuildRoot:       %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
Vendor:		 linkat
Distribution:    education

%description
Configuració escriptori usuari primaria: fons, icones, enllaços

%prep

%build

%install
mkdir -p %{buildroot}/usr/share/linkat/profiles
cp %{SOURCE0} %{buildroot}/usr/share/linkat/profiles/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if test -d /usr/share/edu365
   then
      mv /usr/share/edu365 /usr/share/edu365bak
      ln -s /srv/www/htdocs/edu365 /usr/share/edu365
fi
if ! test -d /home-local/primaria
   then
	/usr/sbin/useradd -d /home-local/primaria -m primaria -c Primaria
	echo   | /usr/bin/passwd --stdin primaria > /dev/null
	tar xfj /usr/share/linkat/profiles/perfil-usuari-primaria.tar.bz2 -C /home-local/primaria
	chown -R primaria:users /home-local/primaria
   else
	echo 'Usuari ja existeix, actualitzant dades'
	tar xfj /usr/share/linkat/profiles/perfil-usuari-primaria.tar.bz2 -C /home-local/primaria/ --overwrite --keep-newer-files
        chown -R primaria:users /home-local/primaria/
fi

%files
%defattr(-,root,root,-)
/usr/share/linkat

%changelog
* Mon Feb 14 2011 - Pablo Vigo <pvigo@xtec.cat>
- Fix Icons for Linkat 4
* Thu Oct 07 2010 - David Lara <dlara@espherica.com> - 1.0-5
- Rebuild for Linkat 4
* Mon Jul 27 2009 - <dlara@espherica.com>
- Blank password for user
- Disabled desktop lock with screensaver
* Tue Jul 7 2009 - <dlara@espherica.com>
- Adapted to 1024x768 resolutions
* Tue Jun 23 2009 - <dlara@espherica.com>
- First release for Linkat 3
